<?php
/**
 * No Search Results Template
 *
 * Please do not edit this file. This file is part of the Cyber Chimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category CyberChimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     https://www.cyberchimps.com/
 */
?>

<article id="post-0" class="post no-results not-found">
	<header class="entry-header">
		<h1 class="entry-title"><?php esc_html_e( 'Nothing Found', 'ifeature' ); ?></h1>
	</header>
	<!-- .entry-header -->

	<div class="entry-content">
		<?php if ( is_home() ) { ?>

			<p>
			<?php
			printf(
				'%1$s <a href="%2$s">%3$s</a>.',
				esc_html( 'Ready to publish your first post?', 'ifeature' ),
				admin_url( 'post-new.php' ),
				esc_html( 'Get started here', 'ifeature' )
			);
			?>
					</p>

			<?php
		} elseif ( is_search() ) {
			?>

			<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'ifeature' ); ?></p>
			<?php get_search_form(); ?>

			<?php
		} else {
			?>

			<p><?php esc_html_e( 'It seems we cannot find what you are looking for. Perhaps searching can help.', 'ifeature' ); ?></p>
			<?php get_search_form(); ?>

		<?php } ?>
	</div>
	<!-- .entry-content -->
</article><!-- #post-0 -->
